rio_sport_is_active
Prev | Enumeration and Discovery | Next

## Name

rio_sport_is_active — Tests if a switch port has an active connection.

## Synopsis

`int rio_sport_is_active (` | struct rio_mport * | port,
| u16 | destid,
| u8 | hopcount,
| int | sport`)`;

## Arguments

`port`

  Master port to send transaction

`destid`

  Associated destination ID for switch

`hopcount`

  Hopcount to reach switch

`sport`

  Switch port number

## Description

Reads the port error status CSR for a particular switch port to determine if the port has an active link. Returns `PORT_N_ERR_STS_PORT_OK` if the port is active or `0` if it is inactive.

Prev | Up | Next
rio_setup_device | Home | rio_route_add_entry